function [N,T]=NewMesh(p)
% NEWMESH generates simple triangular meshes 
%   [N,T]=NewMesh(p); generates an initial coarse triangular mesh for
%   each value of p. The result is a list of triangles T which points
%   into the list of nodes N containing x and y coordinates.  The
%   triangle contains in entries 4 to 6 the neighboring triangle
%   indices, and as a guard # of triangles + 1 if there is no
%   neighbor.

if p==1
  N=[0 1 0 1
     0 0 1 1];

  T=[1 2 4 3 3 2
     1 4 3 1 3 3];
elseif p==2
  N=[0 1 0 1 0.5
     0 0 1 1  1];

  T=[1 2 5 4 2 3
     2 4 5 4 4 1
     1 5 3 1 4 4];  
elseif p==3
  N=[0 1 0
     0 0 1];
  T=[1 2 3 2 2 2]; 
elseif p==4
  N=[0 0.2 0.55 0.72 1 0   0.22 0.55 0.78 1    0   0.18 0.5  0.8 1    0   0.21 0.44 0.8  1    0 0.21 0.55 0.75 1
     0 0   0    0    0 0.3 0.23 0.25 0.22 0.23 0.5 0.51 0.48 0.5 0.48 0.8 0.73 0.75 0.74 0.71 1 1    1    1    1];
  T=[1  7  6  2  10 33
     1  2  7  3  1  33
     2  8  7  4  12 2
     2  3  8  5  3  33
     3  9  8  6  14 4
     3  4  9  7  5  33
     4  10 9  8  16 6
     4  5  10 33 33 7
     6  12 11 10 18 33
     6  7  12 1  11 9
     7  13 12 12 20 10
     7  8  13 3  13 11
     8  14 13 14 22 12
     8  9  14 5  15 13
     9  15 14 16 24 14
     9  10 15 7  33 15
     11 17 16 18 26 33
     11 12 17 9  19 17
     12 18 17 20 28 18
     12 13 18 11 21 19
     13 19 18 22 30 20
     13 14 19 13 23 21
     14 20 19 15 32 22
     14 15 20 15 33 23
     16 22 21 26 33 33
     16 17 22 17 27 25
     17 23 22 28 33 26
     17 18 23 19 29 27
     18 24 23 30 33 28
     18 19 24 21 31 29
     19 25 24 32 33 30
     19 20 25 23 33 31];  
elseif p==5
  N=[0 0.27 0.44 0.73 1 0    0.19 0.52 0.71 1    0    0.23 0.5  0.72 1    0   0.23 0.5  0.72 1    0 0.22 0.5 0.75 1
     0 0    0    0    0 0.22 0.28 0.25 0.18 0.23 0.52 0.44 0.45 0.49 0.51 0.7 0.72 0.69 0.7  0.71 1 1    1   1    1];

  T=[1  2  6  33 2  33
     2  7  6  3  9  1
     2  3  7  4  2  33
     3  8  7  5  11 3
     3  4  8  33 6  4
     4  9  8  7  13 5
     4  5  9  33 8  6
     5  10 9  33 15 7
     6  7  11 2  10 33
     7  12 11 11 17 9
     7  8  12 4  12 10
     8  13 12 13 19 11
     8  9  13 6  14 12
     9  14 13 15 21 13
     9  10 14 8  16 14
     10 15 14 33 23 15
     11 12 16 10 18 33
     12 17 16 19 25 17
     12 13 17 12 20 18
     13 18 17 21 27 19
     13 14 18 14 22 20
     14 19 18 23 29 21
     14 15 19 16 24 22
     15 20 19 33 31 23
     16 17 21 18 26 33
     17 22 21 27 33 25
     17 18 22 20 28 26
     18 23 22 29 33 27
     18 19 23 22 30 28
     19 24 23 31 33 29
     19 20 24 24 32 30
     20 25 24 33 33 31];  
else
  N=[0 1 0 1
     0 0 1 1];

  T=[1 2 3 3 2 3
     2 4 3 3 3 1];
end
